"use strict";
this.name = "oolite-random-hits-hopper";
this.author = "LittleBear, Eric Walch & Thargoid";
this.copyright = "November 2008 - But do what you like with it in your OXPs!";
this.description	= "Sets the GalMine Hopper to the correct AI and causes it to ignore friendly fire.";
this.licence     = "CC BY-NC-SA 3.0";
this.version = "2.2";

/*
The hopper is part of the station group with the seedy bar as its group leader. Programming it this we never have to scan 
for the mother as we always have a direct link over the group.
*/

this.shipSpawned = function ()
{
    this.ship.displayName = expandDescription("[random_hits_hopper_name]") // Show the Hopper's Registration on the ID Computer when targeted.
    delete this.shipSpawned;
}

this.shipBeingAttacked = function (who)
{
    if (!who) return;
    if ((who.group && this.ship.group && who.group === this.ship.group) || who.isPolice) 
    {
        this.ship.reactToAIMessage("FRIENDLY_FIRE");
        this.ship.bounty = 0
        return;		
    }
    if (who.isPlayer) 
    {
        player.bounty |= 25;			
    }		
    // The AIs of the bars and hunters do not react to the nomal "ATTACKED" message, only this special one. 
    // They therefore ignore attacks by their own side.
    this.ship.reactToAIMessage("ENEMY_ATTACK");	
    this.ship.bounty = 0;
}

this.shipDied = function (who, cause)
{
    if (this.ship.group && this.ship.group.leader)
    {
        this.ship.group.leader.script.hopperLaunch = true; // tell mom to launch a replacement.
    }
    log(this.name, "The miningHopper: "+this.ship.displayName+" was killed by "+who+" because of "+cause);
}

this.getNewCoordinates = function ()
{
    var pos;
    if (this.ship.group && this.ship.group.leader) 
    {
        pos = this.ship.group.leader.position; // bar position
    }
    else
    {
        pos = this.ship.position; // happens only when the bar has exploded
        this.ship.reactToAIMessage("FLY_HOME"); // we lost the bar. It's now pointless to stay around.
    }
    
    pos = pos.add(Vector3D.randomDirection(15E3));
    this.ship.savedCoordinates = pos;
}

this.signalArrival = function ()
{
    if (this.ship.target)
    {
        this.ship.target.target = this.ship;
        this.ship.target.reactToAIMessage("HOPPER_ARRIVED");
    }
}
