"use strict";
this.name = "oolite-random-hits-pod1";
this.author = "LittleBear";
this.copyright = "September 2008 - But do what you like with it in your OXPs!";
this.description	= "Tests who killed or scooped a RandomHits OXP Escape Pod carring the mission target and how they did it. The main script acts on the setting of variables."
this.licence     = "CC BY-NC-SA 3.0";
this.version = "2.3";

//2.3 fixed deathcause error
//2.2 podded criminal's name is preserved for revenge

this.shipSpawned = function ()
{
	missionVariables.random_hits_store_showship = this.ship.scriptInfo.podType // The ship the victim is flying is shown on mission briefing screens. So I switch the ship to a Pod as he's now abandoned ship.
    this.ship.displayName = expandDescription("[random_hits_escape_name]") // Show the Victim's name on the ID Computer when targeted.
	delete this.shipSpawned;
}

this.shipWasScooped = function (scooper)
{
	if (missionVariables.random_hits_status == "PODEDOUT") // first check if the mission is still running
    {
        if (scooper.isPlayer)
        {
            mission.setInstructionsKey("random_hits_shortdescription8", "Random_Hits"); // Update the mission info.
            player.consoleMessage(expandDescription("[random_hits_scooped_comms]"));
            missionVariables.random_hits_status = "SCOOPED";
            missionVariables.random_hits_store_skill++;
        }
        else
        {
			missionVariables.random_hits_deathcause = expandDescription("[random_hits_deathcause_scoop]");
            mission.setInstructionsKey("random_hits_shortdescription6", "Random_Hits"); // Update the mission info.
            missionVariables.random_hits_npcdays = clock.days;
            player.consoleMessage(expandDescription("[random_hits_npckill]"));
            missionVariables.random_hits_status = "NPCKILL";
        }
        this.setRevengeMark();
        mission.unmarkSystem(missionVariables.random_hits_planetnumber);
    }
}

this.shipDied = function (whom, cause)
{
    log(this.name, "Pod was killed by: "+whom+" Because of: "+cause);
	if (missionVariables.random_hits_status == "PODEDOUT") // first check if the mission is still running
    {
        if (whom && whom.isPlayer && cause !== "cascade weapon")
        {
            missionVariables.random_hits_status = "COMPLETE"; // Record the fact that the Victim's ship has been destroyed.
            mission.setInstructionsKey("random_hits_shortdescription2", "Random_Hits"); // Update the mission info.
            player.consoleMessage(expandDescription("[random_hits_complete_comms]"));
        }
        else
        {	
            missionVariables.random_hits_status = "NPCKILL"; // Record the fact that the Victim's ship has been destroyed.
            missionVariables.random_hits_deathcause = expandDescription("[random_hits_deathcause]");
            mission.setInstructionsKey("random_hits_shortdescription6", "Random_Hits"); // Update the mission info.
            player.consoleMessage(expandDescription("[random_hits_npckill]"));
            missionVariables.random_hits_npcdays = expandDescription("[clock_days_number]");
        }
        this.setRevengeMark();
        mission.unmarkSystem(missionVariables.random_hits_planetnumber);
    }
}

this.setRevengeMark = function(){
    missionVariables.random_hits_revenge_mark_first_name = missionVariables.random_hits_store_mark_first_name;
    missionVariables.random_hits_revenge_mark_second_name = missionVariables.random_hits_store_mark_second_name;
};
